#include <bits/stdc++.h>
#define ubrzaj ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
#define MOD 1000000007

using namespace std;

int main()
{
    ubrzaj;

    int n;
    cin >> n;
    vector<int> x(n),y(n);
    for(int i=0; i<n; i++){
        cin >> x[i];
        cin >> y[i];
    }
    int mx=x[0],my=y[0],mnx=x[0],mny=y[0];
    for(int m=0; m<n; m++){
        long long res1=0,res2=0,res3=0,res4=0;
        if(x[m]>mx)mx=x[m];
        if(x[m]<mnx)mnx=x[m];
        if(y[m]>my)my=y[m];
        if(y[m]<mny)mny=y[m];

        for(int i=0; i<=m; i++){
            /*if(mx<x[i])mx=x[i];
            if(my<y[i])my=y[i];*/
            res1+=(abs(x[i]-mx)*abs(y[i]-my));
            res1%=MOD;
            res2+=(abs(x[i]-mnx)*abs(y[i]-mny));
            res2%=MOD;
            res3+=(abs(x[i]-mx)*abs(y[i]-mny));
            res3%=MOD;
            res4+=(abs(x[i]-mnx)*abs(y[i]-my));
            res4%=MOD;
            //cout << res << ":";
        }
        //if(m!=1)
        int ans=max(res1,max(res2,max(res3,res4)));
        ans%=MOD;
    cout << ans << endl;
    }

    return 0;
}